//公共变量，存储屏幕坐标位置
var startX = 0,startY = 0;
var user_id = localStorage.getItem('user-id');



//---------------------------------------------------------------------
/**
 * touchstart事件记录坐标位置
 * @auhor fyy
 */
function startListener() {
	document.addEventListener('touchstart', function(e) {
		var x = Number(e.touches[0].pageX);
		var y = Number(e.touches[0].pageY);
		startX = x;
		startY = y;
		console.log('开始X:Y：' + startX + ':' + startY);
	});
}


//---------------------------------------------------------------------
/**
 * 获取页面滚动条的位置返回x，y轴
 * @auhor fyy
 */
function getPageScroll() {
	var xScroll, yScroll;
	if (self.pageYOffset) {
		yScroll = self.pageYOffset;
		xScroll = self.pageXOffset;
	} else if (document.documentElement && document.documentElement.scrollTop) { // Explorer 6 Strict
		yScroll = document.documentElement.scrollTop;
		xScroll = document.documentElement.scrollLeft;
	} else if (document.body) { // all other E`xplorers
		yScroll = document.body.scrollTop;
		xScroll = document.body.scrollLeft;
	}
	var arrayPageScroll = new Array(xScroll, yScroll);
	return arrayPageScroll;
}


//---------------------------------------------------------------------
/**
 * 打开话题详情
 * @auhor fyy
 * topic_id:话题id   topic_user_id：话题作者id
 */
function openTopicDetil(topic_id,topic_user_id){
	
	api.openWin({
		name: 'topic_detil',
		bounces:false,
		url: 'home/win_topic_details.html',
		pageParam: {
			topic_id: topic_id,
			topic_user_id:topic_user_id
		}
	});
}

//---------------------------------------------------------------------
/**
 * 添加历史记录
 * @auhor fyy
 */
function addBrowerHistory() {

	api.ajax({
		url : config.dev_url + 'browse_record/create',
		method : 'post',
		data : {
			values : {
				user_id : localStorage.getItem('user-id'),
				topic_id : api.pageParam.topic_id
			}
		}
	}, function(ret, err) {
		console.log(JSON.stringify(ret));
		console.log(JSON.stringify(err));
	});
}

//---------------------------------------------------------------------
/**
 * 打开遮影
 * @auhor fyy
 */
//function openMask(topic_user_id,topic_id,topic_content){
//	topic_content = $api.html($api.byId('content'+topic_id))
//	api.openFrame({
//		name: 'mask',
//		url: 'frame_mask.html',
//		rect: {
//			x:0,
//			y:0,
//			w:api.winWidth,
//			h:api.winHeight
//		},
//		pageParam:{
//			topic_user_id:topic_user_id,
//			topic_id:topic_id,
//			topic_content:topic_content
//		}
//	});
//}

//---------------------------------------------------------------------
/**
 * 打开更多
 * @auhor fyy
 */
function openMoreMenue(topic_user_id,topic_id){
	var dialogBox = api.require('dialogBox');
	dialogBox.actionMenu ({
    rect:{
        h: 150
    },
    tapClose:true,
    items:[
    {
        text: '复制',
        icon: 'widget://image/duplicate.png'
    },
    {
        text: '收藏',
        icon: 'widget://image/collect.png'
    },
    {
        text: '举报',
        icon: 'widget://image/report.png'
    }],
    styles:{
        bg:'#FFF',
        column: 3,
        itemText: {
            color: '#000',
            size: 16,
            marginT:5
        },
        itemIcon:{
            size:50
        }
    }
}, function(ret){
	dialogBox.close({
		   dialogName: 'actionMenu'
	});
    console.log(JSON.stringify(ret));
    if(ret.index==2){
    	openReport(topic_user_id,topic_id);
    }else if(ret.index==1){
    	setCollect(topic_id); 
    }else if(ret.index==0){
    	copyContent(topic_id);
    }
 });
}

/*
 * 复制
 * fyy
 */
function copyContent(topic_id) {
	var text = $api.html($api.byId('content'+topic_id));
    var clipBoard = api.require('clipBoard');
		clipBoard.set({
		value : text
	}, function(ret, err) {
		if (ret) {
			api.toast({
	             msg:'复制成功！'
             });
	    } else {
			api.toast({
	        msg:'复制失败！'
        });
	  }
	});
}

/*
 * 设为收藏
 * fyy
 */
function setCollect(topic_id) {
	var dialogBox = api.require('dialogBox');
    dialogBox.close({
	   dialogName: 'actionMenu'
	});
	api.ajax({
		url : config.dev_url + 'favorite/create',
		method : 'post',
		data : {
			values : {
				user_id : localStorage.getItem('user-id'),
				topic_id : topic_id
			}
		}
	}, function(ret, err) {
		console.log(JSON.stringify(ret));
		console.log(JSON.stringify(err));
		if (ret.status == 0) {
			api.toast({
				msg : '收藏成功！'
			});
		} else {
			api.toast({
				msg : '失败,可能你已经收藏了！'
			});
		}
	});
}


//---------------------------------------------------------------------
/**
 * 打开更多
 * @auhor fyy
 *
 */
//function openMore() {
//	var dialogBox = api.require('dialogBox');
//	dialogBox.share({
//		rect : {
//			w : api.winWidth*0.9,
//			h : 250
//		},
//		items : [{
//			text : '微信',
//			icon : 'widget://image/share_weixin.png'
//		}, {
//			text : '微信朋友圈',
//			icon : 'widget://image/share_weixin_pengyou.png'
//		}, {
//			text : 'QQ',
//			icon : 'widget://image/signupqq.png'
//		}, {
//			text : '复制',
//			icon : 'widget://image/share_qzone.png'
//		}, {
//			text : '收藏',
//			icon : 'widget://image/icon/weibo_icon.png'
//		}, {
//			text : '举报',
//			icon : 'widget://image/icon/shortmessage_icon.png'
//		}],
//		styles : {
//			bg : '#fff',
//			column : 3,
//			horizontalSpace : 15,
//			verticalSpace : 30,
//			itemText : {
//				color : '#000',
//				size : 15,
//			},
//			itemIcon : {
//				size : 50
//			}
//		},
//		tapClose:true
//	}, function(ret) {
//		console.log(JSON.stringify(ret));
//		if(ret.index == 5){
//			dialogBox.close({
//				dialogName: 'share'
//			});
//			openReport();
//		}
//	});
//}

//---------------------------------------------------------------------
/**
 * 打开举报弹出框
 * @auhor fyy
 *
 */

function openReport(topic_user_id,topic_id) {
	var dialogBox = api.require('dialogBox');
	dialogBox.scene({
		tapClose:true,
		rect: {
			w: 280,
			h: 400
		},
		texts: {
			title: '举报'
		},
		styles:{
			title:{
				bg: '#5C5C5C',
	            h: 45,
	            size: 14,
	            color: '#fff'
			},
			cell: {
            	bg: '#fff',
            	h: 45,
            	text: {
                	color: '#5C5C5C',
                	size: 14
           	 	}
        	}
		},
		optionDatas: [{
			text: '其它'
		}, {
			text: '广告'
		}, {
			text: '人身攻击'
		}, {
			text: '暴力色情'
		}, {
			text: '低俗骚扰'
		},{
			text: '违反法律法规'
		}, {
			text: '谣言及虚假信息'
		}]
	}, function(ret, err) {
		console.log(JSON.stringify(ret));
		var index = ret.index + 1;
		saveReport(topic_user_id,topic_id,index);
	});

}

//---------------------------------------------------------------------
/**
 * 举报
 * @auhor fyy
 *
 */
function saveReport(topic_user_id,topic_id,type){
	api.confirm({
	    title: '举报',
	    msg: '确定要举报吗？',
	    buttons: ['确定', '取消']
	}, function(ret, err) {
	    if(ret.buttonIndex==1){
	    	var dialogBox = api.require('dialogBox');
             dialogBox.close({
				    dialogName: 'scene'
			});
	    	api.ajax({
	            url:config.dev_url+'report/submit_report',
	            method:'post',
	            data:{
	            	values:{
	            		user_id:localStorage.getItem('user-id'),
	            		topic_user_id:topic_user_id,
	            		topic_id:topic_id,
	            		report_type:type
	            	}
	            }
            },function(ret,err){
            	console.log(JSON.stringify(ret));
            	if(ret.status==0){
            		api.toast({
	                    msg:'举报成功'
                    });
            	}
            });
	    }
	});
}

//---------------------------------------------------------------------
/**
 * 点击+号按钮进入分类
 * @auhor fyy
 */
function publishCategory() {
	api.openWin({
		name : 'win_category',
		url :  'win_category.html',
		rect : {
			x:'0',
			y:'0',
			h:'auto',
			w:'auto'
		}
	});
}

//------------------------------------------------------------------------
/*
 * 点击不服来战评论按钮进入评论页面
 * @auhor wjj
 */
function openCommentDetails(argue_id) {
	api.openWin({
		name : 'topic_comment',
		url :  './home/topic_comment.html',
		rect : {
			x:'0',
			y:'0',
			h:'auto',
			w:'auto'
		},
		pageParam:{
			argue_id:argue_id
		}

	});
}

//---------------------------------------------------------------------
/**
 * 打开图片浏览
 * pic:图片数组
 * @auhor fyy
 */
function openPictureBrower(topic_id,index,pathlist) {
	var pathlist = $api.byId('pathlist'+topic_id);
	var temp = pathlist.dataset.path;
	var imageUrls = temp.split(',');
	for(var key in imageUrls){
		imageUrls[key] = 'http://115.29.248.111:1337/uploads/'+imageUrls[key];
	}
	var imageBrowser = api.require('imageBrowser');
	imageBrowser.openImages({
		showList:false,
		tapClose:false,
		imageUrls : imageUrls,
		activeIndex:index
	});
}


//---------------------------------------------------------------------
/**
 * @auhor fyy
 * 首页获取新鲜出炉topic_list
 *
 */
function getTopicList(pageNow,pageSize){
	api.ajax({
		url:config.dev_url+'topic/previous_list',
		method:'post',
		data:{
			values:{
				pageNow : pageNow,
				pageSize:pageSize,
				desc:0
			}
		}
	},function(ret,err){
		if(ret){
			var template = doT.template($api.html($api.byId('topicTemplate')));
			var pathlist = '';
			for(var key in ret.data){
				while(ret.data[key].content.search('../../image')!=-1){
               		ret.data[key].content =  ret.data[key].content.replace('../../image','../image');
           		}
				if(ret.data[key].read_mark==0){
					pathlist  = '{"data":'+ret.data[key].pathlist+'}';
					pathlist = JSON.parse(pathlist);
					ret.data[key].pathlist = pathlist.data;
					ret.data[key].width = api.winWidth;
					if(pathlist.data!=null){
						ret.data[key].pathlistLength = pathlist.data.length;
					}
					$api.append($api.byId('content'), template(ret.data[key]));					
				}
			}
			$api.setStorage('pageNow1',parseInt($api.getStorage('pageNow1'))+1);
			api.hideProgress();
		}else{
			api.hideProgress();
			
		}
	});
}


//---------------------------------------------------------------------
/**
 * @auhor fyy
 * 获取执手可热topic_list
 *
 */
function getTopicListByUpdate(pageNow,pageSize){
	api.showProgress({
        title:'请稍后',
        text: '努力加载中...',
    	modal: true
    });
	api.ajax({
		url:config.dev_url+'topic/find_recent',
		method:'post',
		data:{
			values:{
				pageNow : pageNow,
				pageSize:pageSize
			}
		}
	},function(ret,err){
		console.log(JSON.stringify(ret));
		console.log(JSON.stringify(err));
		if(ret){
			var template = doT.template($api.html($api.byId('topicTemplate')));
			var pathlist = '';
			for(var key in ret.data){
				while(ret.data[key].content.search('../../image')!=-1){
               		ret.data[key].content =  ret.data[key].content.replace('../../image','../image');
           		}
				if(ret.data[key].read_mark==0){
					pathlist  = '{"data":'+ret.data[key].pathlist+'}';
					pathlist = JSON.parse(pathlist);
					ret.data[key].pathlist = pathlist.data;
					if(pathlist.data!=null){
						ret.data[key].pathlistLength = pathlist.data.length;
					}
					$api.append($api.byId('content'), template(ret.data[key]));
				}
			}
			$api.setStorage('pageNow2',parseInt($api.getStorage('pageNow2'))+1);
			api.hideProgress();
		}else{
			api.hideProgress();
			
		}
	});
}

//---------------------------------------------------------------------
/**
 * 数据写入模版，注意是在开始追加内容，不是在末尾追加，适合多条数据
 * url：地址  param_data：请求的参数
 * template_id: 模版DOM元素id  tempalte_data：模版数据   target_element：内容放在指定DOM元素里
 * @auhor fyy
 */
function putDataInHtml(url, para_data,template_element_id,target_element_id,prepend_append) {
	api.ajax({
		url : config.dev_url + url,
		method : 'post',
		data : {
			values : para_data
		}
	}, function(ret, err) {
		console.log(JSON.stringify(ret));
		console.log(JSON.stringify(err));
		if(ret){
			var temp = '';
			var template = doT.template($api.html($api.byId(template_element_id)));
			for(var key in ret.data){
				if(ret.data[key].read_mark==1){

				}
				if(ret.data[key].pathlist){
					var pathlist = '';
					pathlist  = '{"data":'+ret.data[key].pathlist+'}';
					pathlist = JSON.parse(pathlist);
					ret.data[key].pathlist = pathlist.data;
				}
				if(prepend_append=='prepend'){
					$api.prepend($api.byId(target_element_id), template(ret.data[key]));
				}else if(prepend_append=='html'){
					temp = temp + template(ret.data[key]);
				}else{
					$api.append($api.byId(target_element_id), template(ret.data[key]));
				}
			}
			if(prepend_append=='html'){
				$api.html($api.byId(target_element_id), temp);
			}
		}else{
			api.hideProgress();
			
		}
		console.log(JSON.stringify(err));
	});
}

//---------------------------------------------------------------------
/**
 * 数据写入模版，适合单条数据
 * url：地址  param_data：请求的参数
 * template_id: 模版DOM元素id  tempalte_data：模版数据   target_element：内容放在指定DOM元素里
 * @auhor fyy
 */
function putDataInHtmlOne(url, para_data,template_element_id,target_element_id) {
	api.ajax({
		url : config.dev_url + url,
		method : 'post',
		data : {
			values : para_data
		}
	}, function(ret, err) {
		if(ret){
			console.log(JSON.stringify(ret));
			if(ret.data.pathlist){
				var pathlist = '';
				pathlist  = '{"data":'+ret.data.pathlist+'}';
				pathlist = JSON.parse(pathlist);
				ret.data.pathlist = pathlist.data;
				if(pathlist.data!=null){
					ret.data.pathlistLength = pathlist.data.length;
				}
			}
			$api.setStorage('comment_cnt',ret.data.comment_cnt);
			var template = doT.template($api.html($api.byId(template_element_id)));
			$api.append($api.byId(target_element_id), template(ret.data));
		}else{
			api.hideProgress();
			
		}
		console.log(JSON.stringify(err));
	});
}

//---------------------------------------------------------------------
/**
 * 封装ajax
 * url：地址  param_data：请求的参数
 * @auhor fyy
 */
function operateRemoteData(url, para_data) {
	api.ajax({
		url : config.dev_url + url,
		method : 'post',
		data : {
			values : para_data
		}
	}, function(ret, err) {
		if(ret.status==0){
			api.hideProgress();
		}
		console.log(JSON.stringify(err));
		console.log(JSON.stringify(ret));
	});
}

//---------------------------------------------------------------------
/**
 * 文字包含表情转换
 * @auhor fyy
 */
function transEmo(emoMsg) {
	var emoPath, transMsg;
	var reg = /\[(.*?)\]/gm;
	transMsg = emoMsg.replace(reg, function(match) {
		for (var i = 0, len = emoData.length; i < len; i++) {
			if (emoData[i].text === match) {
				emoPath = '../../image/emotion/' + emoData[i].name + '.png';
				return '<img style="width:25px;height:20px;display:inline;" src="' + emoPath + '" />'
			}
		}
		return match;
	});
	return transMsg;
}


//---------------------------------------------------------------------
/**
 * 显示首页发送发送成功后进入详情页
 * topic_id：话题id   topic_user_id：话题作者id level：评论级别     parent_id: 一级评论id is_append：是否追加显示
 * @auhor fyy
 */
function showSendBtnToDetil(topic_id,topic_user_id,level,parent_id,is_append,comment_cnt){
	var UIChatBox = api.require('UIChatBox');
    UIChatBox.close();
	UIChatBox.open({
		placeholder : '我要吐槽...',
		maxRows : 4,
		emotionPath : 'widget://image/emotion',
		texts : {
			sendBtn : {
				title : '发送'
			}
		},
		styles : {
			inputBar : {
				borderColor : '#d9d9d9',
				bgColor : '#f2f2f2'
			},
			inputBox : {
				borderColor : '#B3B3B3',
				bgColor : '#FFFFFF'
			},
			indicator : {
				target : 'both',
				color : '#c4c4c4',
				activeColor : '#9e9e9e'
			},
			sendBtn : {
				titleColor : '#fff',
				bg : '#FD3C50',
				activeBg : '#FD3C50',
				titleSize : 14
			}
		}
	}, function(ret, err) {
		if(ret.msg!=''&&ret.eventType=='send'){
			api.showProgress({
		        title:'请稍后',
		        text: '努力加载中...',
		    	modal: true
		    });
			var data = {};
			data.topic_id = topic_id;
			data.topic_user_id = topic_user_id;
			data.level = level;
			data.user_id = localStorage.getItem('user-id');
			data.content = ret.msg;
			data.parent_id = parent_id;
			data.headimg = localStorage.getItem('user-headimg');
			data.nickname = localStorage.getItem('user-nickname');
			//保存评论
			//operateRemoteData('comment/create',data);		
			
			api.ajax({
				url : config.dev_url + 'comment/create',
				method : 'post',
				data : {
					values : data
				}
			}, function(ret, err) {
				if(ret.status==0){
					//评论数量加一回显
					
					$api.html($api.byId('comment'+topic_id), '&nbsp;'+(parseInt(comment_cnt)+1));
					UIChatBox.close();
					api.hideProgress();
					openTopicDetil(topic_id,topic_user_id);
				}else{
					api.hideProgress();
				}
				console.log(JSON.stringify(err));
				console.log(JSON.stringify(ret));
			});
		}
	});
}



//---------------------------------------------------------------------
/**
 * 显示首页发送按钮
 * topic_id：话题id   topic_user_id：话题作者id level：评论级别     parent_id: 一级评论id is_append：是否追加显示
 * @auhor fyy
 */
function showSendBtn(topic_id,topic_user_id,level,parent_id,is_append,comment_cnt) {
	var UIChatBox = api.require('UIChatBox');
    UIChatBox.close();
	UIChatBox.open({
		placeholder : '我要吐槽...',
		maxRows : 4,
		emotionPath : 'widget://image/emotion',
		texts : {
			sendBtn : {
				title : '发送'
			}
		},
		styles : {
			inputBar : {
				borderColor : '#d9d9d9',
				bgColor : '#f2f2f2'
			},
			inputBox : {
				borderColor : '#B3B3B3',
				bgColor : '#FFFFFF'
			},
			indicator : {
				target : 'both',
				color : '#c4c4c4',
				activeColor : '#9e9e9e'
			},
			sendBtn : {
				titleColor : '#fff',
				bg : '#FD3C50',
				activeBg : '#FD3C50',
				titleSize : 14
			}
		}
	}, function(ret, err) {
		if(ret.msg!=''&&ret.eventType=='send'){
			var data = {};
			data.topic_id = topic_id;

			//判断topic_user_id,如果为0，表示其他页面在调用该函数时没有传入topic_user_id，只能通过api.prarm获取
			if(topic_user_id==0){
				data.topic_user_id = api.pageParam.topic_user_id;
			}else{
				data.topic_user_id = topic_user_id;
			}
			data.user_id = localStorage.getItem('user-id');
			data.content = ret.msg;
			data.level = level;
			if(parent_id!=0){
				data.parent_id = parent_id;
			}
			data.headimg = localStorage.getItem('user-headimg');
			data.nickname = localStorage.getItem('user-nickname');

			//保存评论
			operateRemoteData('comment/create',data);			
			//评论数量加一回显
			if(comment_cnt==undefined){
				comment_cnt = $api.getStorage('comment_cnt');
			}
			$api.html($api.byId('comment'+topic_id), '&nbsp;'+(parseInt(comment_cnt)+1));
			UIChatBox.close();
			data.create_timestamp = $z.postTime(Date.parse(new Date())/1000);
			data.content = transEmo(data.content);
			//是否追加
			if(is_append!=0){
				//判断是一级评论还是二级评论
				if(level==1){
					//详情下面写入一级评论
					var firstTemplate = doT.template($api.html($api.byId('firstTemplate')));
					data.praise_cnt = 0;
					$api.prepend($api.byId('firstContent'), firstTemplate(data));
				}else if(level==2){
					//详情下面对应的一级评论写入二级评论
					$api.removeCls($api.byId('secondContent' + parent_id + ''), 'aui-hide');
					var secondemplate = doT.template($api.html($api.byId('secondTemplate')));
					$api.prepend($api.byId('secondContent' + parent_id + ''), secondemplate(data));
				}
			}
			api.toast({
				msg:'评论成功'
			});
		}
	});
}



//-----------------------------------------------------------------
/**
 *  打开一级评论
 * @auhor fyy
 */

function openFirstComment(pageNow,pageSize) {
	api.ajax({
		url : config.dev_url + 'comment/recent_list',
		method : 'post',
		data : {
			values : {
				topic_id : api.pageParam.topic_id,
				pageNow:pageNow,
				pageSize:pageSize
			}
		}
	}, function(ret, err) {
		//alert(JSON.stringify(ret));
		if (ret.data) {
			$api.html($api.byId('firstContent'), '');
			var firstTemplate = doT.template($api.html($api.byId('firstTemplate')));
			for (var key in ret.data) {
				if (ret.data[key].level == 1) {
					ret.data[key].create_timestamp = $z.postTime(ret.data[key].create_timestamp);
					ret.data[key].content = transEmo(ret.data[key].content);
					$api.append($api.byId('firstContent'), firstTemplate(ret.data[key]));
					openSecondComment(api.pageParam.topic_id,ret.data[key].id);
				}
			}
			//$api.setStorage('pageNow', (parseInt(pageNow)+1));
		}else{
			api.hideProgress();
			
		}
	});
}

//-----------------------------------------------------------------
/**
 *  打开二级评论
 * topic_id：话题id  id：评论id
 * @auhor fyy
 */

function openSecondComment(topic_id, id) {
	api.ajax({
		url : config.dev_url + 'comment/next_level_list',
		method : 'post',
		data : {
			values : {
				topic_id : topic_id,
				id : id
			}
		}
	}, function(ret, err) {
		console.log(JSON.stringify(ret));
		console.log(JSON.stringify(err));
		if (ret.data.length>0) {
			var secondemplate = doT.template($api.html($api.byId('secondTemplate')));
			for (var key in ret.data) {
				if (ret.data[key].level == 2) {
					ret.data[key].create_timestamp = $z.postTime(ret.data[key].create_timestamp);
					ret.data[key].content = transEmo(ret.data[key].content);
					$api.append($api.byId('secondContent' + id + ''), secondemplate(ret.data[key]));
				}

			}
			$api.html($api.byId('replay'+id), '共'+ret.data.length+'条回复<i id="icon'+id+'" class="aui-font-size-12 aui-iconfont aui-icon-down"></i>');
		}else{
			api.hideProgress();
			
		}
	});
}

//-----------------------------------------------------------------
/**
 * 隐藏回复
 * topic_id：话题id  id：评论id
 * @auhor fyy
 */
function hideReplay(topic_id, id){
	var ele = $api.byId('secondContent'+id);
	if($api.hasCls(ele, 'aui-hide')){
		$api.removeCls(ele, 'aui-hide');
		$api.removeCls($api.byId('icon'+id), 'aui-icon-down');
		$api.addCls($api.byId('icon'+id), 'aui-icon-top');
	}else{
		$api.removeCls($api.byId('icon'+id), 'aui-icon-top');
		$api.addCls($api.byId('icon'+id), 'aui-icon-down');
		$api.addCls(ele, 'aui-hide');
	}
}

//-----------------------------------------------------------------
/**
 * 评论点赞
 * auth_comment_id:评论者id  comment_id：评论id   praise_cnt：点赞数量
 * @auhor fyy
 */
function commentThumbUp(auth_comment_id, comment_id,praise_cnt){
	//判断点赞加红没有，如果没有加红才执行
	if (!$api.hasCls($api.byId('thumbUp' + comment_id), 'aui-text-danger')) {
		api.ajax({
			url : config.dev_url + 'praise/is_praised',
			method : 'post',
			data : {
				values : {
					'user_id' : localStorage.getItem('user-id'),
					'comment_id':comment_id
				}
			}
		}, function(ret, err) {
			if (ret.is_praised) {
				console.log('已经赞过！');
				$api.addCls($api.byId('thumbUp' + comment_id), 'aui-text-danger');
				api.toast({
					msg : '赞过啦！'
				});
			} else {
				operateRemoteData('praise/create', {
					'user_id' : localStorage.getItem('user-id'),
					'auth_user_id' : auth_comment_id,
					'comment_id':comment_id
				});
				$api.html($api.byId('thumbUp' + comment_id), '&nbsp;'+(praise_cnt+1));
				$api.addCls($api.byId('thumbUp' + comment_id), 'aui-text-danger');
				api.toast({
					msg : '点赞成功！可以在我的点赞查看哦！'
				});
			}
		});
	} else {
		api.toast({
			msg : '赞过啦！'
		});
	}

}


//-----------------------------------------------------------------
/**
 * 话题点赞
 * auth_user_id:作者id  topic_id：话题id   praise_cnt：点赞数量
 * @auhor fyy
 */

function thumbUp(auth_user_id, topic_id,praise_cnt) {
	console.log('用户ID——————' + user_id);
	//判断点赞加红没有，如果没有加红才执行
	if (!$api.hasCls($api.byId('praise' + topic_id), 'aui-text-danger')) {
		//没有加红，判断是否赞过
		api.ajax({
			url:config.dev_url+'praise/create',
			method:'post',
			data:{
				values:{
					auth_user_id:auth_user_id,
					topic_id:topic_id,
					user_id:user_id
				}
			}
		},function(ret,err){
			if(ret.status==0){
				$api.html($api.byId('praise' + topic_id), '&nbsp;'+(praise_cnt+1));
				$api.addCls($api.byId('praise' + topic_id), 'aui-text-danger');
				api.toast({msg : '点赞成功！可以在我的点赞查看哦！'});
			}else if(ret.status==1){
				if($api.html($api.byId('praise' + topic_id))=='&nbsp;点赞'){
					$api.html($api.byId('praise' + topic_id),'1')
				}
				$api.addCls($api.byId('praise' + topic_id), 'aui-text-danger');
				api.toast({msg : '您已经赞过'});
			}else{
				api.toast({msg : '点赞失败'});
			}
		});
	} else {
		api.toast({
			msg : '赞过啦！'
		});
	}
}

//-----------------------------------------------------------------
/**
 * 打开分类详情
 * auth_user_id:作者id  topic_id：话题id   praise_cnt：点赞数量
 * @auhor fyy
 */
function openClassify(classify){
	api.openWin({
	    name: 'win_category',
	    url: 'category/win_category.html',
	    pageParam:{
	    	classify:classify
	    }
    });
}





