
var userid = localStorage.getItem('user-id');

var nickname = localStorage.getItem("user-nickname");


var username=JSON.stringify(user_config[userid].nickname);
var nicknames=JSON.stringify(desc_config[12]);
var desc_config_index='';
var user_config_index='';
apiready = function(){

    $api.html($api.byId("adjectives"),nicknames);

    $api.html($api.byId("noun"),username);
};


//------------------------------------------------------------------
/**
 * 获取修改昵称的随机形容词
 * @auhor wjj
 */
function getDescIndex(){
    desc_config_index = Math.floor(Math.random()*desc_config.length);
    $api.html($api.byId('adjectives'), '<span  class="animated fadeInDown">'+desc_config[desc_config_index]+'</span>');
}


//------------------------------------------------------------------
/**
 * 获取修改昵称的随机名称
 * @auhor wjj
 */
function getUserIndex(){
    user_config_index = Math.floor(Math.random()*user_config.length);
    $api.html($api.byId('noun'), '<span  class="animated fadeInDown">'+user_config[user_config_index].nickname+'</span>');
}



//------------------------------------------------------------------
/**
 * 执行随机名字更换
 * @auhor wjj
 */
function start(){
    var dialogBox = api.require('dialogBox');
    dialogBox.alert({
        texts: {
            title: '每天只能免费更换一次昵称噢！！！',
            leftBtnTitle: '取消',
            rightBtnTitle: '确认'
        },
        styles: {
            bg: '#fff',
            w: 300,
            title: {
                marginT: 20,
                icon: 'widget://res/gou.png',
                iconSize: 40,
                titleSize: 14,
                titleColor: '#000'
            },
            content: {
                color: '#000',
                size: 14
            },
            left: {
                marginB: 12,
                marginL: 10,
                w: 130,
                h: 35,
                corner: 2,
                bg: '#FB3D51',
                size: 12,
                color:"#fff"
            },
            right: {
                marginB: 12,
                marginL: 20,
                w: 130,
                h: 35,
                corner: 2,
                bg: '#FB3D51',
                size: 12,
                color:"#fff"
            }
        }
    }, function(ret) {
        if (ret.eventType == 'right'){
            var dialogBox1 = api.require('dialogBox');
            dialogBox1.close({
                dialogName: 'alert'
            });

            $api.attr($api.byId("sbing"),'src', '../../image/sbing_2.png');
            var user_config_index_cicle = setInterval('getUserIndex()',500);
            var desc_config_index_cicle = setInterval('getDescIndex()',520);
            setTimeout('clearInterval('+desc_config_index_cicle+');',4000);
            setTimeout('clearInterval('+user_config_index_cicle+');',5000);

        }else if(ret.eventType == 'left'){
            var dialogBox = api.require('dialogBox');
            dialogBox.close({
                dialogName: 'alert'
            });

        }
    });
}

//-------------------------------------------------------------------------


function onBtnClick(pre_nicname,nickname) {
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        text: '更换中...',
        modal: true
    });
    $api.attr($api.byId("sbing"),'src', '../../image/sbing_1.png');
    var data = {};
    data.id = userid;
    data.nickname = pre_nicname  + nickname ;
    data.headimg = 0;
    for(var key in user_config){
    	if(user_config[key].nickname==nickname){
    		 data.headimg = key;
    	}
    }
    api.ajax({
        url: config.dev_url + "user/update_nickname",
        method: 'post',
        data: {
            values: data
        },
        dataType: 'json'
    }, function (ret, err) {
        console.log(JSON.stringify(ret));
            if (ret.status == 0) {
                api.hideProgress();
            var dialogBox = api.require('dialogBox');
            dialogBox.alert({
                texts: {
                    title: '修改昵称成功，退出后重新登录查看',
                    content:'您当前昵称是：'+ pre_nicname  + nickname,
                    rightBtnTitle: '确认'
                },
                styles: {
                    bg: '#fff',
                    w: 300,
                    title: {
                        marginT: 20,
                        icon: 'widget://res/gou.png',
                        iconSize: 40,
                        titleSize: 14,
                        titleColor: '#000'
                    },
                    content: {
                        color: '#000',
                        size: 14
                    },
                    right: {
                        marginB: 7,
                        marginL: 90,
                        w: 130,
                        h: 35,
                        corner: 2,
                        bg: '#FB3D51',
                        size: 12,
                        color:"#fff"
                    }
                }
            }, function(ret) {
               if (ret.eventType == 'right'){
                    var dialogBox1 = api.require('dialogBox');
                    dialogBox1.close({
                        dialogName: 'alert'
                    });
                }
            });
        }else if (ret.status == -1){
                api.hideProgress();
                var dialogBox2 = api.require('dialogBox');
                dialogBox2.alert({
                    texts: {
                        title: '对不起,您的吐槽币已经不足！',
                        rightBtnTitle: '确认'
                    },
                    styles: {
                        bg: '#fff',
                        w: 300,
                        title: {
                            marginT: 20,
                            icon: 'widget://res/gou.png',
                            iconSize: 40,
                            titleSize: 14,
                            titleColor: '#000'
                        },
                        content: {
                            color: '#000',
                            size: 14
                        },
                        right: {
                            marginB: 7,
                            marginL: 90,
                            w: 130,
                            h: 35,
                            corner: 2,
                            bg: '#FB3D51',
                            size: 12,
                            color:"#fff"

                        }
                    }
                },function (ret) {
                    if (ret.eventType == 'right'){
                        var dialogBox2 = api.require('dialogBox');
                        dialogBox2.close({
                            dialogName: 'alert'
                        });
                    }
                })
        }
        if(err){
           
            api.hideProgress();
        }
    });
}







