/**
 * 收藏话题
 */
function favoriteTopic() {
    var user_id=localStorage.getItem("user-id");
    var topic_id=api.pageParam.topic_id;
    api.ajax({
        url: config.dev_url + 'favorite/create',
        method: 'post',
        data: {
            values: {
                "user_id": user_id,
                "topic_id": topic_id
            }
        }
    }, function(ret, err) {
        if(ret.status==0){
           api.toast({ msg: '添加收藏成功，可在用户中心-我的收藏看到', duration: 2000, location: 'down' });
           api.closeFrame({name:'moremenu'});
           console.log("userid:"+user_id+" 添加收藏成功"+JSON.stringify(ret));
        }else{
          api.toast({msg:'添加收藏失败', duration: 2000, location: 'down' });
           console.log("用户id:"+user_id+" 添加收藏err"+JSON.stringify(err));
           api.closeFrame({name:'mask'});
           api.closeFrame();
        }
    });
}

//------------------------------------------------------------------
/**
 * 引用举报话题
 */
function referenceReport() {
    var user_id = localStorage.getItem('user-id');
    var topic_user_id = api.pageParam.user_id;
    var topic_id = api.pageParam.topic_id;
    api.execScript({
        frameName: 'home',
        script: 'report(' + user_id + ',' + topic_user_id +' ,' + topic_id + ')'
    });
    api.closeFrame({name:'moremenu'});
    api.closeFrame({name:'mask'});
}

//------------------------------------------------------------------
/**
 * 举报话题
 * 确认举报发送请求,取消则不发送
 */
function report() {
    var user_id = localStorage.getItem('user-id');
    var topic_user_id = api.pageParam.topic_user_id;
    var topic_id = api.pageParam.topic_id;
    dialog.alert({
        title: "举报",
        msg: '确定要举报此话题吗？',
        buttons: ['确定', '取消']
    }, function(ret) {
        if (ret.buttonIndex == 1) {
            api.ajax({
                url: config.dev_url + 'report/submit_report',
                method: 'post',
                data: {
                    values: {
                        user_id: user_id,
                        topic_user_id: topic_user_id,
                        topic_id: topic_id,
                        report_type: 10
                    }
                }
            },function(ret, err){
                if(ret){
                    api.toast({ msg: '举报成功，我们会进行核实！', duration: 2000, location: 'middle' });
                }else{
                    api.toast({ msg: '举报失败，请重试！', duration: 2000, location: 'middle' });
                }
                api.closeFrame({name:'mask'});
                api.closeFrame();
            });
        }
    });
}

//-----------------------------------------------------------------
/**
 *
 * @author:hj
 */
function reportAjax(){

}

//-------------------------------------------------------------------
/**
 * 引用复制话题内容
 * author:zlh
 */
function referenceCopyTopicContent(id) {
    api.execScript({
        frameName: 'home',
        script: 'copyTopicContent('+ id +')'
    });
    api.closeFrame({name:'moremenu'});
    api.closeFrame({name:'mask'});
}

//--------------------------------------------------------------------
/**
 * 复制话题内容
 * @param id [话题id]
 */
function copyTopicContent() {
    var clipBoard = api.require('clipBoard');
    clipBoard.set({
        value:"#"+api.pageParam.topic_title+"#"+api.pageParam.topic_title
    }, function(ret, err) {
        if(ret){
            api.toast({ msg: '已复制到剪切板！', duration: 2000, location: 'down' });
        }else{
            api.toast({ msg: '复制失败，请重试！', duration: 2000, location: 'down' });
        }
        //api.closeFrame({name:'moremenu'});
        api.closeFrame({name:'mask'});
        api.closeFrame();
    });
}

//-----------------------------------------------------------------
/**
 * 分享到外界
 * @author:hj
 */
function shareFriend(){
    var sharedModule = api.require('shareAction');
    //android上是undefined,ios上是null
    //console.log(JSON.stringify(sharedModule));
    sharedModule.share({
    text: api.pageParam.topic_title+' 吐糟星球',
    //text: ' 吐糟星球',
    type: 'text'
  });
}