apiready=function() {
    var pageNow = 1;
    //获取历史浏览记录并将浏览记录写入div中 history.js
    getHistoryBrowse(pageNow);

    // 上拉加载
    api.addEventListener({
        name: 'scrolltobottom',
        extra:{
            threshold: 10           //设置距离底部多少距离触发
        }
    }, function(ret, err) {
        pageNow++;
        getHistoryBrowse(pageNow);
    });
}

//已读取标题和内容的记录下来,不要重复读取
var topic_list={};
//-------------------------------------------------------------
/**
 * 跳转到话题详情
 */
function jumpTopicDetails(topic_id){
    api.openWin({
        name: 'win_topic_details',
        url: '../home/win_topic_details.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 200,
        pageParam: {
            topic_id: topic_id
        }
    });
}


//---------------------------------------------------------------------
/**
 * 历史浏览记录
 */
function getHistoryBrowse(pageNow) {
    var user_id = localStorage.getItem("user-id");
    api.ajax({
        url: config.dev_url + "browse_record/find_recent",
        method: 'post',
        data:{
           values: {
                pageNow: pageNow,
                pageSize: 10,
                user_id: user_id
           }
        }
    }, function(ret, err){
        for (var i = 0; i < ret.data.length; i++) {
            incomingTopicId(ret.data[i].topic_id);
        };
    });
    /*取到的历史数据格式:{"data":[{"updatedAt":"2016-11-25T1",
      "id":84,"user_id":3,"topic_id":33,
      "createdAt":"2016-11-25T12:20:41.000Z"}
    */
}

//------------------------------------------------------------------
/**
 * 传入一个话题id返回话题标题和内容
 */
function incomingTopicId(topic_id){
    var html = '';
    api.ajax({
         url:config.dev_url + 'topic/find',
         method: 'post',
         data:{
           values:{
               id: topic_id
           }
        }
     }, function(ret, err){
         if(ret.status == 0) {
            // alert(JSON.stringify(ret.data));
            var tmpl = doT.template($api.dom('#history-tpl').innerHTML);
            html = tmpl(ret.data);
            $api.append($api.dom('#history_content'), html);
         }

    });
}


// ----------------------------------------------------------------------------------------
/**
 * 清空历史记录
 */
var dialog = new auiDialog();
function clearHistory() {
    var user_id = localStorage.getItem("user-id");
    dialog.alert({
        title:"清空历史记录",
        msg:'确定要清空所有的历史记录吗？',
        buttons:['确定','取消']
    },function(ret){
        if(ret.buttonIndex == 1) {
            api.ajax({
                url : config.dev_url + 'browse_record/clear',
                method : 'post',
                data : {
                    values : {
                        user_id: user_id
                    }
                }
            }, function(ret, err) {
                if (ret.status == 0) {
                    api.toast({ msg: '历史记录删除成功！', duration: 2000, location: 'bottom'});
                    window.location.reload();
                } else {
                    api.toast({ msg: '历史记录删除失败，请重试！', duration: 2000, location: 'bottom'});
                }
            });
        }
    });
}