/**
 * 读取我发起过的话题数据
 * @auhor wjj  Start
 */
function getMyStartTopic(){
    var userid=localStorage.getItem("user-id");
    api.ajax({
        url: config.dev_url+"topic/recent_list",
        method: 'post',
        data:{
            values:{
                "num":10,
                "user_id":userid
            }
        },
        dataType: 'json'
    }, function(ret, err) {
        var initiateTopic = doT.template(document.getElementById('initiate-topic').innerHTML);
        document.getElementById('topic_list').innerHTML = initiateTopic(ret.data);

    })
}

//-----------------------------------------------------------------------------------------
/**
 * 跳转到我发起过的话题详情页面
 * @auhor wjj
 */
function skipMyStartTopic(topic_id) {
    api.openWin({
        type : "fade",
        name: 'win_topic_details',
        url: '../home/win_topic_details.html',
        pageParam: {
            "topic_id":topic_id
        }
    });
}

//------------------------------------------------------------------------------------------
/**
 * 读取我参与过的话题数据
 * @auhor wjj MyPartake
 */
function getMyPartakeTopic(){
    var userid=localStorage.getItem("user-id");
    api.ajax({
        url: config.dev_url+"topic/recent_commented_list",
        method: 'post',
        data:{
            values:{
                "num":10,
                "user_id":userid
            }
        },
        dataType: 'json'


    }, function(ret, err) {
        var initiateTopic = doT.template(document.getElementById('initiate-topic').innerHTML);
        document.getElementById('topic_list').innerHTML = initiateTopic(ret.data);
    })
}

//-------------------------------------------------------------------------------------------
/**
 * 跳转到我参与话题的详情页面
 * @auhor wjj
 */
function skipMyPartakeTopic(topic_id) {
    api.openWin({
        type : "fade",
        name: 'win_topic_details',
        url: '../home/win_topic_details.html',
        pageParam: {
            "topic_id":topic_id
        }
    });
}
