//全局变量，获取当前用户id
var userid = localStorage.getItem('user-id');

//全局变量，前三名的图片
var list_img=["first.png","second.png","thirdly.png"];

apiready = function() {

    getRecentMoneyList();

    getUserRanking(20);

    //下拉刷新
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f5f5f5',
        loadingImg: 'widget://image/refresh.png',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err) {
        getRecentMoneyList();
        api.refreshHeaderLoadDone();
    });
};

//------------------------------------------------------------------
/**
 * 获取排行榜吐槽币数据
 * @auhor wjj
 */
function getRecentMoneyList() {
    api.ajax({
        url: config.dev_url + "user/recent_money",
        method: 'post',
        data: {
            values: {
                num: 10
            }
        },
        dataType: 'json'

    }, function(ret, err) {
        // console.log(JSON.stringify(ret));
        if (ret) {

            console.log(JSON.stringify(ret));

            var html = '';

            for (i = 0; i < ret.data.length; i++) {
                var doTtmpl = doT.template($api.dom('#recent_money').innerHTML);

                //i < 3是给排行榜前三名添加金银铜三张图片
                if(i < 3){
                    ret.data[i].list_img='<img src="../../image/'+list_img[i]+'" />'
                }else{

                    //在三名以后就把图片换成数字排序
                    ret.data[i].list_img=(i+1);
                }
                html += doTtmpl(ret.data[i]);

            }
            $api.byId('rank-nl-growth').innerHTML = html;

        }
    });
}


//------------------------------------------------------------------
/**
 * 获取排行榜吐槽币排名数据
 * @auhor wjj
 */
function getUserRanking(num) {
    api.ajax({
        url: config.dev_url + "user/recent_list",
        method: 'post',
        data: {
            values: {
                num: num,
                user_id:userid
            }
        },
        dataType: 'json'
    }, function(ret, err) {
       // console.log(JSON.stringify(ret));
        var doTtmpl = doT.template($api.dom('#recent_money_prompt').innerHTML);
        $api.byId('prompt-box').innerHTML = doTtmpl(ret.data);

        //当排名名次为零的时候，证明没有上榜，
        if(ret.data.the_current_ranking==0){
            $api.html($api.byId("tg"),'您还没有上榜，请继续努力');
            $api.text($api.byId("ha"),'距离上榜还差：');
        }
    })

}
