//得到首页标题栏的位置
var indexBarSet = $api.offset($api.byId('index-bar'));

//得到首页大图片的位置
//var indexPicSet = $api.offset($api.byId('game-stage'));

//得到首页大图片下方tab的位置
var indexTab = $api.offset($api.byId('index-tab'));

//打开frame的位置对应：x,y,w,h
//var position = ['auto', indexBarSet.h + indexPicSet.h + indexTab.h, 'auto', 'auto'];
var position = ['auto', indexBarSet.h +  indexTab.h, 'auto', 'auto'];

//---------------------------------------------------------------------
/**
 * 设置Framgroups的位置
 * @auhor fyy
 */
function setFrameGroupAttr(frame_groups_name, frame_position) {
	api.setFrameGroupAttr({
		name : frame_groups_name,
		rect : {
			x : frame_position[0],
			y : frame_position[1],
			w : frame_position[2],
			h : frame_position[3]
		}
	});
}

//---------------------------------------------------------------------
/**
 * 打开侧边栏
 * @auhor fyy
 */
function openSideBar(){
	api.openDrawerPane({
    	type: 'left'
	});
}


//---------------------------------------------------------------------
/**
 * 设置设置 frame 组当前可见 frame
 * @auhor fyy
 */
function setFrameIndex(frame_group_name,page_index) {
	api.setFrameGroupIndex({
		name : frame_group_name,
		index : page_index
	});
}


//---------------------------------------------------------------------
/**
 * 首页tab切换
 * @auhor fyy
 */
function switchIndexTab() {
	var tab = new auiTab({
		element : document.getElementById("index-tab"),
		index : 1,
		repeatClick : false
	}, function(ret) {
		if(ret.index==1){
			setFrameIndex('index_groups',0);
		}else if(ret.index==2){
			setFrameIndex('index_groups',1);
		}else if(ret.index==3){
			setFrameIndex('index_groups',2);
		}
	});
}

//---------------------------------------------------------------------
/**
 *	置顶
 * @auhor fyy
 */
//function toTop(frame_name) {
//	var index_pic_section = $api.byId('game-stage');
//	if(!$api.hasCls(index_pic_section, 'aui-hide')){
//		$api.addCls(index_pic_section, 'aui-hide');
//		position[1] = indexBarSet.h + indexTab.h;
//		setFrameGroupAttr(frame_name,position);
//	}else{
//		return ;
//	}
//	if(position[1] != indexBarSet.h + indexTab.h){
//		var index_pic_section = $api.byId('game-stage');
//		move('.animated').y(-indexPicSet.h).end();
//		move('.aui-tab').y(-indexPicSet.h).end();
//		position[1] = indexBarSet.h + indexTab.h;
//		setFrameGroupAttr(frame_name,position);
//	}else{
//		return ;
//	}
//}

//---------------------------------------------------------------------
/**
 *	不置顶
 * @auhor fyy
 */
//function toButtom(frame_name) {
//	var index_pic_section = $api.byId('game-stage');
//	if($api.hasCls(index_pic_section, 'aui-hide')){
//		$api.removeCls(index_pic_section, 'aui-hide');
//		position[1] = indexBarSet.h + indexPicSet.h + indexTab.h;
//		setFrameGroupAttr(frame_name,position);
//	}else{
//		return ;
//	}

//	if(position[1] != indexBarSet.h + indexPicSet.h + indexTab.h){
//		var index_pic_section = $api.byId('game-stage');
//		move('.animated').y(0).duration('0.5s').end();
//		move('.aui-tab').y(0).duration('0.25s').end();
//		position[1] = indexBarSet.h + indexPicSet.h + indexTab.h;
//		setFrameGroupAttr(frame_name,position);
//	}else{
//		return ;
//	}
//}

//---------------------------------------------------------------------
/**
 *	打开frame
 * @auhor fyy
 */
function openFrameGroups(group_name, frame_1_name, frame_2_name, frame_3_name, frame_1_url, frame_2_url, frame_3_url, frame_position) {
	api.openFrameGroup({
		name : group_name,
		scrollEnabled : false,
		rect : {
			x : frame_position[0],
			y : frame_position[1],
			w : frame_position[2],
			h : frame_position[3]
		},
		frames : [{
			name : frame_1_name,
			url :  frame_1_url
		}, {
			name : frame_2_name,
			url :  frame_2_url
		}, {
			name : frame_3_name,
			url :  frame_3_url
		}]
	}, function(ret, err) {
		console.log(ret.index);
	});
}


//---------------------------------------------------------------------
/**
 * apiready开始
 * @auhor fyy
 */

apiready = function() {

	//initGameStage();

	//重新计算高度
	//indexPicSet = $api.offset($api.byId('game-stage'));
	//position = ['auto', indexBarSet.h + indexPicSet.h + indexTab.h, 'auto', 'auto'];

	openFrameGroups('index_groups', 'frame_index_1', 'frame_index_2', 'frame_index_3', '../html/frame_index_1.html', '../html/frame_index_2.html', '../html/frame_index_3.html', position);

	//tab切换
	switchIndexTab();

	// 首页按两次退出应用
	exitApp();
	
	
	api.addEventListener({
	    name:'swipeup'
    },function(ret,err){
    	toTop('index_groups');
    });
};


