
/////////////////////////////////////////////////////////////////////////////////////////
//全局函数
var openMultiSelect;
var addThumbImage;
var imageSwiper;
var emotionSwiper;
var height;
var scale;
var min_edit_box_height = 0;
var max_edit_box_height = 1;
var tool_btn_active_color = "#007aff";
var cur_actived_tool_btn = "";
var UIActionProgress;

/////////////////////////////////////////////////////////////////////////////////////////
//选择分类
function selectCategory() {
    api.openWin({
        name: 'select_category',
        url: 'select_category.html',
        animation:{
            type:"movein",
            subType:"from_bottom",
            duration:200
        },
        pageParam:{}
    });
}

/////////////////////////////////////////////////////////////////////////////////////////
//选择分类后的调用
function changeCategory(idx) {
    api.pageParam.classify = idx;
    document.getElementById("topic-class-img").src = "../../image/category/loge_300_" + idx + ".png";
    
}

/////////////////////////////////////////////////////////////////////////////////////////
//监听软键盘状态
function listenKeyBoardStatus(){
    var initBodyHeight = $(window).height();
    var keyBoardStatus = false;
    var getKeyBoardStatus = function(){
        setTimeout(function(){
            if(initBodyHeight != $(window).height() && keyBoardStatus == false){
                keyBoardStatus = true;
                api.sendEvent({
                    name: 'keyBoardOpen'
                });
                getKeyBoardStatus();
                return false;
            }
            if(initBodyHeight == $(window).height() && keyBoardStatus == true){
                keyBoardStatus = false;
                api.sendEvent({
                    name: 'keyBoardClose'
                });
                getKeyBoardStatus();
                return false;
            }
            getKeyBoardStatus();
        },300);
    }
    getKeyBoardStatus();
}

/////////////////////////////////////////////////////////////////////////////////////////
//初始化所有表情包
function initEmotions(){

    emotionSwiper = new Swiper ('.emotion-box', {
        direction: 'horizontal',
        loop: false,
        pagination: '.swiper-pagination'
    });

    var cellWidth = ((api.winWidth-20) / 5);
    var idx = 1;

    for (var p=0; p<4; ++p){
        for (var i=0; i<3; ++i){
            for (var j=0; j<5; ++j){
                var emotionPage = $api.byId("page"+p);
                var domId = "phiz_" + idx;
                $api.append(emotionPage, "<img class='emotion-cell' id='"+domId+"' src='../../image/emotion/phiz_"+idx+".png' style='width:"+cellWidth+"px; '></img>");

                document.getElementById(domId).ontouchstart = function(e) {
                    console.log("mousedown");
                    e.target.style.backgroundColor = "#cccccc";
                };

                document.getElementById(domId).ontouchend = function(e) {
                    console.log("insert emotion " + e.target.id);
                    e.target.style.backgroundColor = "transparent";
                    //只有在整页的时候才插入, 拖动中的不插入
                    if (emotionSwiper.translate % api.winWidth ==0){
                        // if (document.activeElement != document.getElementById("edit-box")){
                        //     document.getElementById("edit-box").focus();
                        // }
                  
                        insertEmotion("<img class='emotion' style='width:40px;height:30px' src='../../image/emotion/"+e.target.id+".png'></img>");
                    }
                };

                idx++;
            }
        }
    }
}


/////////////////////////////////////////////////////////////////////////////////////////
//插入表情
function insertEmotion(html)
{		
	var edit_box = $api.byId('edit-box');
	edit_box.innerHTML = edit_box.innerHTML + html;
//	var edit_box = $api.byId('edit-box');
//  edit_box.focus();
//  var dthis = document.activeElement;
//  var sel, range;
//  if (window.getSelection)
//  {
//      sel = window.getSelection();
//      if (sel.getRangeAt && sel.rangeCount) {
//          range = sel.getRangeAt(0);
//          range.deleteContents();
//          var el = document.createElement('div');
//          el.innerHTML = html;
//          var frag = document.createDocumentFragment(), node, lastNode;
//          while ( (node = el.lastChild) )
//          {	
//              lastNode = frag.appendChild(node);
//              
//          }
//          range.insertNode(frag);
//          if (lastNode) {
//              range = range.cloneRange();
//              range.setStartAfter(lastNode);
//              range.collapse(true);
//              sel.removeAllRanges();
//              sel.addRange(range);
//          }
//      }
//  }
//  else if (document.selection && document.selection.type !='Control')
//  {
//      $(dthis).focus();
//      ierange= document.selection.createRange();
//      ierange.pasteHTML(html);
//      $(dthis).focus();
//  }
}

/////////////////////////////////////////////////////////////////////////////////////////
//初始化图片列表
function initImageList() {
    imageSwiper = new Swiper('#image-list',{
        direction: 'horizontal',
        slidesPerView : 3,
        slidesPerGroup : 1,
        spaceBetween : 6
    });
    imageSwiper.appendSlide('<div class="swiper-slide add-more-wrapper" id="add-more-wrapper" data-idx="-1"><div class="add-more" id="add-more">+</div></div>');
    imageSwiper.update();

    //添加按钮
    var isMoved = false;
    document.getElementById("add-more").ontouchstart = function(e) {
        e.target.style.backgroundColor = "#dddddd";
    };

    document.getElementById("add-more").ontouchmove = function(e) {
        isMoved = true;
    };

    document.getElementById("add-more").ontouchend = function(e) {
        e.target.style.backgroundColor = "transparent";

        if (!isMoved) {

            openMultiSelect();
        }
        isMoved = false;

    };

    openMultiSelect = function () {
        var UIMediaScanner = api.require('UIMediaScanner');
        UIMediaScanner.open({
            type: 'picture',
            column: 3,
            classify: false,
            max: 9,
            sort: {
                key: 'time',
                order: 'desc'
            },
            texts: {
                stateText: '已选择*项',
                cancelText: '取消',
                finishText: '完成'
            },
            styles: {
                stateSize: 18,
                bg: '#fff',
                mark: {
                    icon: '',
                    position: 'top_right'
                },
                nav: {
                    bg: '#eee',
                    stateColor: '#000',
                    cancelBg: 'rgba(0,0,0,0)',
                    cancelColor: '#000',
                    cancelSize: 18,
                    finishBg: 'rgba(0,0,0,0)',
                    finishColor: '#000',
                    finishSize: 18
                }
            },
            scrollToBottom: {
                intervalTime: -1,
                anim: true
            },
            exchange: true,
            rotation: true
        }, function (ret) {
            if (ret) {
                imageSwiper.update();

                for (var i in ret.list) {
                    console.log(ret.list[i].thumbPath);
                    
               
                    addThumbImage(ret.list[i].thumbPath, ret.list[i].path);
                }

                var btns = document.getElementsByClassName('remove-btn');
                for (var i = 0; i < btns.length; i++) {
                    btns[i].onclick = function () {
                        var dom = this.parentNode;
                        move(dom).duration(150).scale(0.01).end(function () {
                            dom.parentNode.removeChild(dom);
                            imageSwiper.update();
                        });
                    };
                }

                imageSwiper.updateSlidesSize();
                imageSwiper.updatePagination();
            }
        });
    };

    addThumbImage = function (thumb_path, path){
        //处理path, iOS必须转换一次
        var UIMediaScanner = api.require('UIMediaScanner');
	        UIMediaScanner.transPath({
	            path: path
	        }, function(ret, err) {
      
            var dom = document.getElementById("add-more-wrapper");
            var wrapper = document.getElementById("swiper-wrapper-img");
            var newNode = document.createElement("div");
            
            newNode.setAttribute('onclick','deleteXImg(this)');
            newNode.className = "swiper-slide swiper-slide-img";
            newNode.dataset.idx = imageSwiper.slides.length - 1;
           	if(ret.path==undefined){
           		newNode.innerHTML = '<img  class="slide-img" src="' + thumb_path + '" data-path="' + path  +'"></img><div  class="remove-btn"></div>';
           	}else{
            	newNode.innerHTML = '<img  class="slide-img" src="' + thumb_path + '" data-path="' + ret.path  +'"></img><div class="remove-btn"></div>';
			}
			showToolArea("image-list");
            pullEditBoxHeight(min_edit_box_height);
            wrapper.insertBefore( newNode, dom );
            imageSwiper.update();
        });
    };
}

//清除图片
function deleteXImg(element){
	var parent_Ele = element.parentNode;
	if(parent_Ele){
		parent_Ele.removeChild(element);
	}	
}


/////////////////////////////////////////////////////////////////////////////////////////
//取消所有按钮激活
function unActiveAllToolBtns() {
    document.getElementById('tool-emotion').style.color = "#777777";
    document.getElementById('tool-image').style.color = "#777777";
    document.getElementById('tool-camera').style.color = "#777777";
}

/////////////////////////////////////////////////////////////////////////////////////////
//激活其中一个工具按钮
function activeToolBtn(dom_id) {
    unActiveAllToolBtns();
    document.getElementById(dom_id).style.color = tool_btn_active_color;
}

/////////////////////////////////////////////////////////////////////////////////////////
//检查某个工具按钮是否激活
function isToolBtnActived(dom_id) {
    //console.log(document.getElementById(dom_id).style.color + "   " + tool_btn_active_color);
    //return document.getElementById(dom_id).style.color == tool_btn_active_color;
    return cur_actived_tool_btn == dom_id;
}

/////////////////////////////////////////////////////////////////////////////////////////
//隐藏所有工具栏工作区域
function hideAllToolArea() {
    document.getElementById('emotion-box').style.display = "none";
    document.getElementById('image-list').style.display = "none";
}

/////////////////////////////////////////////////////////////////////////////////////////
//显示指定的工具栏工作区域
function showToolArea(dom_id) {
    hideAllToolArea();
    document.getElementById(dom_id).style.display = "block";
    document.getElementById(dom_id).style.height = "36%";
    cur_actived_tool_btn = dom_id;
    pullEditBoxHeight(max_edit_box_height);
}

/////////////////////////////////////////////////////////////////////////////////////////
//修改内容编辑框高度 (需要重新计算当前的window.height)
function pullEditBoxHeight(height_flag) {
    if (height_flag == min_edit_box_height){
        document.getElementById('edit-box').style.height = $(window).height() - 170 - 200 - 50 + 'px';
    }
    else if (height_flag == max_edit_box_height){
        document.getElementById('edit-box').style.height = $(window).height() - 170 + 'px';
        //document.getElementById('edit-box').style.height = $(window).height() + 'px';
    }
}

/////////////////////////////////////////////////////////////////////////////////////////
//打开相机
function openCamera() {
	if(api.systemType=='android'){
		var cameraTool = api.require('cameraTool');
		cameraTool.openCamera(function(ret, err) {
			if(ret){
				addThumbImage(ret.imgPath, ret.imgPath);
			}
		});
	}else if(api.systemType=='ios'){
		var FNPhotograph = api.require('FNPhotograph');
			FNPhotograph.open({
			    path: 'fs://FNPhotograph.jpg',
			    album: true ,
			    quality: 'low'
			}, function(ret){
			   if(ret.eventType=='takePhoto'){
			   	addThumbImage(ret.imagePath, ret.imagePath);
			   }
			});
	}
}


/////////////////////////////////////////////////////////////////////////////////////////
//上传话题
function uploadTopic(pathlist){
    var data = {
        "nickname": localStorage.getItem("user-nickname"),
        "headimg": localStorage.getItem("user-headimg"),
        "title": $api.val($api.dom('#topic-input')),
        "content": $api.html($api.dom('#edit-box')),
        "user_id": localStorage.getItem("user-id"),
        "classify": api.pageParam.classify,
        "pathlist" : pathlist
    };
    console.log(JSON.stringify(data));
    api.ajax({
        url: config.dev_url + 'topic/create',
        method: 'post',
        data: {
            values: data
        },
        dataType: 'json'
    }, function(ret, err) {
        if (ret.status == 0) {
            $api.val($api.dom("#topic-input"), "");
            $api.val($api.dom("#topic-content-input"), "");
            localStorage.setItem("topicTimeInterval",(Date.parse(new Date())/1000));
            api.toast({ msg: '话题发布成功', duration: 2000, location: 'middle' });
            api.hideProgress();
            openIndex();
        } else {
        	api.hideProgress();
            api.toast({ msg: '话题发布失败', duration: 2000, location: 'middle' });
        }
    });
}

//---------------------------------------------------------------------
/**
 * 发布完成打开首页
 * @author:hj
 */
function openIndex() {
	api.closeWin({
    	name:'win_category'
    });
	api.closeWin({
    	name:'new_topic'
    });
	api.openDrawerLayout({
        	reload:true,
        	animation:{
        		type:'none'
        	},
        	slidBackEnabled:false,
            name: 'win_indexSlider',
            url: '../win_indexSlider.html',
            leftPane: {
                name: 'win_indexSlider',
                url: '../win_indeFixed.html',
                edge: api.winWidth / 4,
                bounces:false,
                bgColor:'#FD3C50'
            },
            bounces:false
        });
}


function checkInputValue(){
	var title = $api.val($api.byId('topic-input'));
	var content = $api.html($api.byId('edit-box'));
	if(title==''||title==' '){
		alert('标题不能为空！');
		return false;
	}else if(content==''||content==' '){
		alert('内容不能为空！');
		return false;
	}else{
		return true;
	}
}


/////////////////////////////////////////////////////////////////////////////////////////
//上传所有图片
function uploadImages() {
	if(!checkInputValue()){
		return ;
	}
	api.showProgress({
		style:'default',
		animationType:'fade',
		title:'',
		text:'努力发表中...',
		model:true
    });
    var img_files = [];
    var imgs = document.getElementsByClassName("slide-img");
    for (var i = 0; i < imgs.length; i++) {
        img_files.push(imgs[i].dataset.path);
    }
   if(img_files.length==0){
   	uploadTopic([]);
   	return ;
   }
    var compactPicture = api.require('compactPicture');
	compactPicture.HittingPic({
	    picpatharray: img_files,
	    size: 5
	}, function(ret) {
	    if(ret.states){
	    	var temp = [];
	    	for(var key in ret.states){
	    		temp.push(ret.states[key])
	    	}
	    	    api.ajax({
		        url: config.dev_url + 'file/upload',
		        method: 'post',
		        cache: false,
		        timeout: 30,
		        dataType: 'json',
		        returnAll: false,
		        report: false,
		        data: {files: {file: temp}}
		    }, function (ret, err) {
		    	
		        if (ret.status==0) {
					if((typeof ret.pathlist)!=undefined){
						setTimeout(function(){uploadTopic(ret.pathlist)},1000);
						//uploadTopic(ret.pathlist);
					}
		//          if (ret.progress == 100 && ret.msg && ret.msg!=undefined) {
		//              uploadTopic(ret.msg.pathlist);
		//          }
		        } else {
		            console.log("failes");
		            api.hideProgress();
            		api.toast({ msg: '图片上传失败...', duration: 2000, location: 'middle' });
		        }
		    });
	    }
	});

    //ajax异步上传图片
}

/////////////////////////////////////////////////////////////////////////////////////////
//初始化工具栏
function initToolBar() {

    //表情选择器点击事件
    document.getElementById('tool-emotion').ontouchstart = function(e) {
        activeToolBtn('tool-emotion');
    };
    document.getElementById('tool-emotion').ontouchend = function(e) {
        if (isToolBtnActived("emotion-box")){
            hideAllToolArea();
            unActiveAllToolBtns();
            cur_actived_tool_btn = "";
            pullEditBoxHeight(max_edit_box_height);
        }
        else{
            showToolArea("emotion-box");
            pullEditBoxHeight(min_edit_box_height);
        }
    };

    //相册按钮点击事件
    document.getElementById('tool-image').ontouchstart = function(e) {
        activeToolBtn('tool-image');
    };
    document.getElementById('tool-image').ontouchend = function(e) {
        if (isToolBtnActived("image-list")){
            hideAllToolArea();
            unActiveAllToolBtns();
            cur_actived_tool_btn = "";
            pullEditBoxHeight(max_edit_box_height);
        }
        else{
            showToolArea("image-list");
            pullEditBoxHeight(min_edit_box_height);
        }
    };

    //相机按钮点击事件
    document.getElementById('tool-camera').ontouchstart = function(e) {
        activeToolBtn('tool-camera');
    };
    document.getElementById('tool-camera').ontouchend = function(e) {
        openCamera();
//      if (isToolBtnActived("image-list")){
//          hideAllToolArea();
//          unActiveAllToolBtns();
//          cur_actived_tool_btn = "";
//          pullEditBoxHeight(max_edit_box_height);
//      }
//      else{
//          showToolArea("image-list");
//          pullEditBoxHeight(min_edit_box_height);
//      }
    };
}



function showTools() {
 	activeToolBtn('tool-emotion');
	showToolArea("emotion-box");
    pullEditBoxHeight(min_edit_box_height);
}



function getCursortPosition (ctrl) {
    var CaretPos = 0;   // IE Support
    ctrl.focus ();
    if (document.selection) {
    	ctrl.focus ();
        var Sel = document.selection.createRange ();
        Sel.moveStart ('character', -ctrl.innerHTML.length);
        CaretPos = Sel.innerHTML.length;
    }
    // Firefox support
    else if (ctrl.selectionStart || ctrl.selectionStart == '0')
        CaretPos = ctrl.selectionStart;
    return (CaretPos);
}

function setCaretPosition(ctrl, pos){
    if(ctrl.setSelectionRange)
    {
        ctrl.focus();
        ctrl.setSelectionRange(pos,pos);
    }
    else if (ctrl.createTextRange) {
        var range = ctrl.createTextRange();
        range.collapse(true);
        range.moveEnd('character', pos);
        range.moveStart('character', pos);
        range.select();
    }
}


function getSize(){
	var content = $api.val($api.byId('topic-input'));
	if(content.length>18){
		alert('字数不超过18个');
		content = content.substring(0,18);
		$api.val($api.byId('topic-input'),content);
	}else{
		$api.attr($api.byId('size'), 'placeholder', content.length+'/18');
	}
	
}






/////////////////////////////////////////////////////////////////////////////////////////
//apicloud完成初始化

apiready = function() {
	
	changeCategory(api.pageParam.classify);
	document.getElementById('topic-input').focus();
	
	
    height = api.winHeight/3;
    scale = height / 400;
    //UIActionProgress = api.require('UIActionProgress');

    pullEditBoxHeight(max_edit_box_height);

    //监听软键盘状态
    listenKeyBoardStatus();

    //初始化表情包
    initEmotions();

    //初始化图片列表
    initImageList();

    //软键盘打开时
    api.addEventListener({
        name: 'keyBoardOpen'
    }, function(ret, err){
        //调整内容编辑框高度
       pullEditBoxHeight(max_edit_box_height);
       unActiveAllToolBtns();
       hideAllToolArea();
    });

    // 软键盘关闭时
    api.addEventListener({
        name: 'keyBoardClose'
    }, function(ret, err){
       	activeToolBtn('tool-emotion');
		showToolArea("emotion-box");
	    pullEditBoxHeight(min_edit_box_height);
    });

    //初始化工具栏
    initToolBar();
    
    $api.one($api.byId('edit-box'), 'click', function(){
		deleteXImg($api.byId('span'));	
	});
};

