apiready = function() {
    api.parseTapmode();

    //获取用户信息
    setUserInfo();

    //获取能量值
    getEnergy();

    //新消息提醒
    newMessage();

};
// ----------------------------------------------------------------------------------------
/**
 * 打开建议反馈  fyy
 */
function openFeedback(){
	api.openWin({
	    name: 'win_feedback',
	    url: '../html/my/win_feedback.html',
	    bounces:false,
	    bgColor:'#FD3C50'
    });

}



// ----------------------------------------------------------------------------------------
/**
 * 打开排行榜
 */
function openRank(){
//  api.openWin({
//      name: 'rank',
//      url: './rank/rank.html',
//      bounces: false,
//      showProgress: true,
//      vScrollBarEnabled: false,
//      hScrollBarEnabled: false,
//      slidBackEnabled: false,
//      delay: 300,
//      allowEdit: true,
//      animation: {
//          duration: 300
//      }
//  });
	api.openDrawerLayout({
            reload:true,
            animation:{
                type:'none'
            },
            slidBackEnabled:false,
            name: 'rank',
            url: 'rank/rank.html',
            leftPane: {
                name: 'win_indexSlider',
                url: 'win_indeFixed.html',
                edge: api.winWidth / 4,
                bounces:false,
                bgColor:'#FD3C50'
            },
            bounces:false
        });
		api.closeDrawerPane();
}

// ----------------------------------------------------------------------------------------
/**
 * 打开更换昵称
 */
function openChangeNickname(){
    api.openWin({
        name: 'change_nickname',
        url: './home/change_nickname.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }

    });
}


// ----------------------------------------------------------------------------------------
/**
 * 打开排行榜
 */
function openAchievement(){
    api.openWin({
        name: 'win_achievement',
        url: './my/win_achievement.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


// ----------------------------------------------------------------------------------------
/**
 * 打开消息
 */
function openMessage() {
    $api.setStorage('messageCount', $api.getStorage('isMessageNum')); // 保存已读的消息
    var messageNum = document.getElementById('message-num');
    if (messageNum.innerHTML > 0) {
        messageNum.style.display = 'none';
    }

    api.openWin({
        name: 'message',
        url: './my/message.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


//-------------------------------------------------------------------
/**
 * 打开通知设置
 */
function openNoticeSetting() {
    api.openWin({
        name: 'notice',
        url: './my/notice.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


//------------------------------------------------------------------
/**
 * 打开历史浏览
 */
function openHistory() {
    api.openWin({
        name: 'win_history',
        url: './my/win_history.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


//------------------------------------------------------------------
/**
 * 打开我的话题
 */
function openMyTopic() {
    api.openWin({
        name: 'topic',
        url: './my/topic.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


//--------------------------------------------------------------------
/**
 * 打开我的收藏
 */
function openMyCollect() {
    api.openWin({
        name: 'collect',
        url: './my/collect.html',
        bounces: false,
        showProgress: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false,
        delay: 300,
        allowEdit: true,
        animation: {
            duration: 300
        }
    });
}


//-------------------------------------------------------------------
/**
 * 退出登录
 * @auhor wjj
 */
var dialog = new auiDialog();
//向服务器发送用户注销消息
function sendUserInfo(func) {
    api.ajax({
        url: config.dev_url + 'user/logout',
        method: 'post',
        data: {
            values: {
                "id": localStorage.getItem("user-id")
            }
        },
        dataType: 'json'
    }, function(ret, err) {
        console.log("退出登陆" + JSON.stringify(ret));
        //console.log(JSON.stringify(err));//user开头的全部清空一个不留
        $api.rmStorage("wx_login_openid");
        localStorage.removeItem("user-id");
        localStorage.removeItem("user-openid");
        localStorage.removeItem("user-dynamicToken");
        localStorage.removeItem("user-accessToken");
        localStorage.removeItem("user-nickname");
        localStorage.removeItem("user-headimg");
        func();
        //禁止退出登陆后在点返回键返回到用户中心,用这个可关闭全部打开的win,但可能会导致停止运行
        //api.closeToWin({name:'login'});
    });
}


// ----------------------------------------------------------------------------------------
/**
 * 退出账号
 */
function exitAccount(type) {
	api.confirm({
	    title: '退出登陆',
	    msg: '退出当前账号？',
	    buttons: ['确定', '取消']
	}, function(ret, err) {
	   if(ret.buttonIndex==1){
	   	sendUserInfo(function() {
                api.openWin({
                    name: 'login',
                    url: './login.html',
                    bounces: false,
                    opaque: false,
                    showProgress: true,
                    vScrollBarEnabled: false,
                    hScrollBarEnabled: false,
                    slidBackEnabled: false,
                    delay: 300,
                    animation: {
                        type: "huch",
                        subType:"from_left",
                        duration: 400
                    }
                });
           });
	   }
	});

//  dialog.alert({
//      title: "退出当前账号",
//      msg: '确定要退出当前账号吗？',
//      buttons: ['确定', '取消']
//  }, function(ret) {
//      if (ret.buttonIndex == 1) {
//          sendUserInfo(function() {
//              api.openWin({
//                  name: 'login',
//                  url: './login.html',
//                  bounces: false,
//                  opaque: false,
//                  showProgress: true,
//                  vScrollBarEnabled: false,
//                  hScrollBarEnabled: false,
//                  slidBackEnabled: false,
//                  delay: 300,
//                  animation: {
//                      type: "huch",
//                      subType:"from_left",
//                      duration: 400
//                  }
//              });
//          });
//      }
//  })
}


//-------------------------------------------------------------------
/**
 * 获取用户信息
 * @auhor zlh
 */
function setUserInfo() {

    //取得nickname和avatar
    var nickname = localStorage.getItem("user-nickname");
    // //如果微信登陆,对用户昵称作标识,已知道是微信登陆了
    // if (localStorage.getItem("user-accessToken")) {
    //     var nickname = "." + nickname;
    // }
    // alert(localStorage.getItem("user-headimg"));
    var headimg = user_config[localStorage.getItem("user-headimg")].avatar;
    $api.attr($api.dom('#user_img img'), 'src', '../image/avatar/' + headimg);
    $api.css($api.dom('#user_img img'),'height:45px;width:45px');
    $api.html($api.dom('#nickname'), nickname);
}


//----------------------------------------------------------------------------------
/**
 * 获取能量值
 * @auhor zlh
 */
function getEnergy() {
    var user_id = localStorage.getItem("user-id");
    api.ajax({
        url: config.dev_url + 'user/energy',
        method: 'post',
        data: {
            values: {
                id: user_id
            }
        }
    }, function(ret, err) {
        localStorage.setItem("user-energy", ret.data.energy);
        var energy = localStorage.getItem("user-energy");
        $api.html($api.byId('energy'), "能量值：" + energy);
    });
}


// ----------------------------------------------------------------------------------------
/**
 * 新消息提醒
 */
function newMessage() {
    var user_id = localStorage.getItem("user-id");
    var count = null;
    api.ajax({
        url: config.dev_url + 'message/find_num',
        method: 'post',
        data: {
            values: {
                user_id: user_id
            }
        }
    }, function(ret, err) {
        if (ret.status == 0) {
            var message_num = $api.getStorage('messageCount');
            // 如果消息为空,消息没增加就false
            if (message_num == null || ret.num == message_num) {
                $api.setStorage('messageCount',ret.num);
                return false;
            } else if (ret.num > message_num) { // 如果新增消息就执行
                count = ret.num - message_num; // 计数差值
                if (count > 0) {
                    document.getElementById('message-num').innerHTML = count;
                    $api.dom('#message-num').style.display = 'block';
                }
            }
            $api.setStorage('isMessageNum', ret.num); // 消息是否被点击过
        }
    });
    //每2检查一次是否有消息
    setTimeout(function() {
        newMessage();
    }, 2000);
}


function openIndex(){
	api.openDrawerLayout({
            reload:true,
            animation:{
                type:'none'
            },
            slidBackEnabled:false,
            name: 'win_indexSlider',
            url: 'win_indexSlider.html',
            leftPane: {
                name: 'win_indexSlider',
                url: 'win_indeFixed.html',
                edge: api.winWidth / 4,
                bounces:false,
                bgColor:'#FD3C50'
            },
            bounces:false
        });
        api.closeDrawerPane();
}
